|  | Home · All Classes · Modules

# QIconEngineV2.AvailableSizesArgument Class Reference
[QtGui module]

This class was introduced in Qt 4.5.

### Methods

- __init__ (self)
- __init__ (self, AvailableSizesArgument)

### Members

- QIcon.Mode mode
- list-of-QSize sizes
- QIcon.State state

## Detailed Description

This struct represents arguments to virtual_hook() function when id parameter is QIconEngineV2.AvailableSizesHook.

See also virtual_hook() and QIconEngineV2.IconEngineHook.

## Method Documentation

### AvailableSizesArgument.__init__ (self)

### AvailableSizesArgument.__init__ (self, AvailableSizesArgument)

## Member Documentation

### QIcon.Mode mode

This variable holds the requested mode of an image.

See also QIcon.Mode.

### list-of-QSize sizes

This variable holds image sizes that are available with specified mode and state. This is an output parameter and is filled after call to virtual_hook(). Engines that work in terms of a scalable, vectorial format normally return an empty list.

### QIcon.State state

This variable holds the requested state of an image.

See also QIcon.State.